import { assert } from "../../../../assert.js";

/**
 *
 * @param {TopoEdge} edge
 * @returns {boolean}
 */
export function query_edge_is_wire(edge) {
    assert.notNull(edge, 'edge');

    const faces = edge.faces;
    return faces.length === 0;
}
